package cn.hmsoft.skill.data.model.std;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 考生登录日志
* @author: zxq
* @date: 2019-01-08 13:24:14
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "STD_LOGIN", keyColumn =  "LOGIN_ID" , sequenceName = "STD_LOGIN_ID")
public class StdLogin implements Serializable{
	private static final long serialVersionUID = -8391002919545428179L;
	//浏览器类型
	private String browser_type;
	//浏览器版本
	private String browser_version;
	//ip地址
	private String login_addr;
	private Integer login_id;
	//登录时间
	private LocalDateTime login_time;
	//平台系列
	private String platform_series;
	//平台类型
	private String platform_type;
	//平台版本
	private String platform_version;
	private Integer school_id;
	//考生内部IP
	private Integer std_id;

	/****
	 * 浏览器类型
	 */
	public String getBrowser_type() {
		return this.browser_type;
	}

	/****
	 * 浏览器类型
	 */
	public void setBrowser_type(String browser_type) {
		this.browser_type = browser_type;
	}

	/****
	 * 浏览器版本
	 */
	public String getBrowser_version() {
		return this.browser_version;
	}

	/****
	 * 浏览器版本
	 */
	public void setBrowser_version(String browser_version) {
		this.browser_version = browser_version;
	}

	/****
	 * ip地址
	 */
	public String getLogin_addr() {
		return this.login_addr;
	}

	/****
	 * ip地址
	 */
	public void setLogin_addr(String login_addr) {
		this.login_addr = login_addr;
	}

	public Integer getLogin_id() {
		return this.login_id;
	}

	public void setLogin_id(Integer login_id) {
		this.login_id = login_id;
	}

	/****
	 * 登录时间
	 */
	public LocalDateTime getLogin_time() {
		return this.login_time;
	}

	/****
	 * 登录时间
	 */
	public void setLogin_time(LocalDateTime login_time) {
		this.login_time = login_time;
	}

	/****
	 * 平台系列
	 */
	public String getPlatform_series() {
		return this.platform_series;
	}

	/****
	 * 平台系列
	 */
	public void setPlatform_series(String platform_series) {
		this.platform_series = platform_series;
	}

	/****
	 * 平台类型
	 */
	public String getPlatform_type() {
		return this.platform_type;
	}

	/****
	 * 平台类型
	 */
	public void setPlatform_type(String platform_type) {
		this.platform_type = platform_type;
	}

	/****
	 * 平台版本
	 */
	public String getPlatform_version() {
		return this.platform_version;
	}

	/****
	 * 平台版本
	 */
	public void setPlatform_version(String platform_version) {
		this.platform_version = platform_version;
	}

	public Integer getSchool_id() {
		return this.school_id;
	}

	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}

	/****
	 * 考生内部IP
	 */
	public Integer getStd_id() {
		return this.std_id;
	}

	/****
	 * 考生内部IP
	 */
	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
	}
}